> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download information from ZooKeeper



## OpenAPI

````yaml /api-reference/4.2/service-zk-import-export.json get /zk/export/{path}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service zk-import-export
servers:
  - url: /api/apollo/
security: []
tags:
  - name: zk-import-export
paths:
  /zk/export/{path}:
    get:
      tags:
        - 4.2 Zookeeper API
      summary: Download information from ZooKeeper
      operationId: getNodeInfo
      parameters:
        - name: path
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          schema:
            type: string
            pattern: .*
        - name: recursive
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          schema:
            type: boolean
            default: true
        - name: excludePaths
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: includePaths
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: encodeValues
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          schema:
            type: string
            default: base64
        - name: ephemeral
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZNodeDump'
components:
  schemas:
    ZNodeDump:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ZNodeDumpRequest'
        getzNode:
          $ref: '#/components/schemas/ZNode'
    ZNodeDumpRequest:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          readOnly: true
        params:
          $ref: '#/components/schemas/Params'
    ZNode:
      type: object
      properties:
        path:
          type: string
          readOnly: true
        children:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ZNode'
        data:
          type: string
          readOnly: true
    Params:
      type: object
      properties:
        zkHost:
          type: string
          readOnly: true
        path:
          type: string
          readOnly: true
        encodeValues:
          type: string
          readOnly: true
        includePaths:
          type: array
          readOnly: true
          items:
            type: string
        excludePaths:
          type: array
          readOnly: true
          items:
            type: string
        recursive:
          type: boolean
          readOnly: true
          default: false
        ephemeral:
          type: boolean
          readOnly: true
          default: false

````